SND_REGISTER_DEVICE(9)

NAME
snd_register_device - Register the ALSA device file for the card

SYNOPSIS

int snd_register_device(int type, struct snd_card * card, int dev, const struct file_operations * f_ops, void * private_data, const char * name);

ARGUMENTS

type
    the device type, SNDRV_DEVICE_TYPE_XXX

card
    the card instance

dev
    the device index

f_ops
    the file operations

private_data
    user pointer for f_ops->open

name
    the device file name

DESCRIPTION

Registers an ALSA device file for the given card. The operators have to be set in reg parameter.

This function uses the card's device pointer to link to the correct struct device.

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT